# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetResultSetMetadataReq

Packages that use TGetResultSetMetadataReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetResultSetMetadataReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetResultSetMetadataReq
Modifier and Type
Class
Description
`class`
`TGetResultSetMetadataReq`
`class`
`TGetResultSetMetadataReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetResultSetMetadataReq
Modifier and Type
Field
Description
`TGetResultSetMetadataReq`
TCLIService.GetResultSetMetadata_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetResultSetMetadataReq
Modifier and Type
Method
Description
`TGetResultSetMetadataReq`
TGetResultSetMetadataReq.`deepCopy()`
`TGetResultSetMetadataReq`
TCLIService.GetResultSetMetadata_args.`getReq()`
`TGetResultSetMetadataReq`
TGetResultSetMetadataReq.`setOperationHandle(TOperationHandle operationHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetResultSetMetadataReq
Modifier and Type
Method
Description
`int`
TGetResultSetMetadataReq.`compareTo(TGetResultSetMetadataReq other)`
`boolean`
TGetResultSetMetadataReq.`equals(TGetResultSetMetadataReq that)`
`void`
TCLIService.AsyncClient.`GetResultSetMetadata(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetResultSetMetadata(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)`
`TGetResultSetMetadataResp`
TCLIService.Client.`GetResultSetMetadata(TGetResultSetMetadataReq req)`
`TGetResultSetMetadataResp`
TCLIService.Iface.`GetResultSetMetadata(TGetResultSetMetadataReq req)`
`void`
TCLIService.Client.`send_GetResultSetMetadata(TGetResultSetMetadataReq req)`
`TCLIService.GetResultSetMetadata_args`
TCLIService.GetResultSetMetadata_args.`setReq(TGetResultSetMetadataReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetResultSetMetadataReq
Modifier
Constructor
Description
``
`GetResultSetMetadata_args(TGetResultSetMetadataReq req)`
``
`GetResultSetMetadata_call(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetResultSetMetadataReq(TGetResultSetMetadataReq other)`
Performs a deep copy on other.